#include <bits/stdc++.h>
using namespace std;

int fac(int n)
{
    if(n==0) return 1;
    else return n*fac(n-1);
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin>>t;
    while(t--)
    {
        int n;
        cin>>n;

        int a[n+1];

        for(int i=1; i<=n; i++)
        {
            cin>>a[i];
        }
        if(n<10)
        {
            int ff = fac(n);
            int p, ans=0;
            while(ff--)
            {
                p=0;
                next_permutation(a+1, a+n+1);
                for(int i=2; i<=n-1; i++)
                {
                    if(a[i-1]+a[i+1]<2*a[i]) 
                    {
                        p=1;
                        break;
                    }
                }
                if(p==0)
                {
                    cout<<"YES\n";
                    ans=1;
                    break;
                }
            }
            if(ans==0) cout<<"NO\n";
        }else 
        {
            int mxi=1, mni=1;
            for(int i=1; i<=n; i++)
            {
                if(a[i]>a[mxi]) mxi=i;
                if(a[i]<a[mni]) mni=i;
            }

            swap(a[1], a[mxi]);
            swap(a[2], a[mni]);
            sort(a+3, a+n+1);


            /*for(int i=1; i<=n; i++)
            {
                cout<<a[i]<<" ";
            }*/

            int f=0;
            for(int i=2; i<=n-1; i++)
            {
            
                if(a[i-1]+a[i+1]<2*a[i])
                {
                    cout<<"NO\n";
                    f=1;
                    break;
                }
            }
            if(f==0) cout<<"YES\n";
        }
        
    }
}
